## org.apache.bcel.util
Interface InstructionFinder.CodeConstraint

Enclosing interface:
  InstructionFinder

public static interface InstructionFinder.CodeConstraint

Code patterns found may be checked using an additional user-defined constraint object whether they really match the needed criterion. I.e., check constraints that can not expressed with regular expressions.

Method Summary
`boolean` `checkCode(InstructionHandle[] match)`

Method Detail

### checkCode

    public boolean checkCode(InstructionHandle[] match)

  Parameters:
    `match` - array of instructions matching the requested pattern
  Returns:
    true if the matched area is really useful

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.